OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.OcclusionQueryEvent

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDOcclusionQueryEvent :: MonadIO m => m Bool
- gl_AMD_occlusion_query_event :: Bool
- gl_OCCLUSION_QUERY_EVENT_MASK_AMD :: GLenum
- gl_QUERY_ALL_EVENT_BITS_AMD :: GLuint
- gl_QUERY_DEPTH_BOUNDS_FAIL_EVENT_BIT_AMD :: GLuint
- gl_QUERY_DEPTH_FAIL_EVENT_BIT_AMD :: GLuint
- gl_QUERY_DEPTH_PASS_EVENT_BIT_AMD :: GLuint
- gl_QUERY_STENCIL_FAIL_EVENT_BIT_AMD :: GLuint
- glQueryObjectParameteruiAMD :: MonadIO m => GLenum -> GLuint -> GLenum -> GLuint -> m ()

# Extension Support

glGetAMDOcclusionQueryEvent :: MonadIO m => m Bool

Is the AMD_occlusion_query_event extension supported?

gl_AMD_occlusion_query_event :: Bool

Is the AMD_occlusion_query_event extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDOcclusionQueryEvent` in those cases instead.

# Enums

gl_OCCLUSION_QUERY_EVENT_MASK_AMD :: GLenum

gl_QUERY_ALL_EVENT_BITS_AMD :: GLuint

gl_QUERY_DEPTH_BOUNDS_FAIL_EVENT_BIT_AMD :: GLuint

gl_QUERY_DEPTH_FAIL_EVENT_BIT_AMD :: GLuint

gl_QUERY_DEPTH_PASS_EVENT_BIT_AMD :: GLuint

gl_QUERY_STENCIL_FAIL_EVENT_BIT_AMD :: GLuint

# Functions

glQueryObjectParameteruiAMD

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `id`.
-> GLenum | `pname`.
-> GLuint | `param` of type OcclusionQueryEventMaskAMD.
-> m () |